Subject: Re: route cache DoS testing and softirqs

From: Dipankar Sarma <[email-masked]>
Date: Wed, 7 Apr 2004 01:22:49 +0530

On Tue, Apr 06, 2004 at 02:55:19PM +0200, Robert Olsson wrote:
Content-Description: message body text
> Dipankar Sarma writes:
>  > Looks better atleast. Can you apply the following patch (rs-throttle-rcu)
>  > on top of rcu-softirq.patch in your tree and see if helps a little bit more ?
>  > Please make sure to set the kernel paramenters rcupdate.maxbatch to 4
>  > and rcupdate.plugticks to 0. You can make sure of those parameters
>  > by looking at dmesg (rcu prints them out during boot). I just merged
>  > it, but have not tested this patch yet.
> 
> OK!
> 
> Well not tested yet but I don't think we will get rid overflow totally in my 
> setup. I've done a little experimental patch so *all* softirq's are run via 
> ksoftirqd. 

Robert, you should try out rs-throttle-rcu.patch. The idea is that
we don't run too many callbacks in a single rcu. In my setup,
at 100kpps, I see as many as 30000 rcu callbacks in a single
tasklet handler. That is likely hurting even the softirq-only
RCU grace periods. Setting rcupdate.maxbatch=4 will do only 4 per
tasklet thus providing more quiescent points to the system.

Thanks
Dipankar